"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.META_STORE = exports.LOCAL_STORE = exports.DOC_STORE = exports.BY_SEQ_STORE = exports.ATTACH_STORE = exports.ATTACH_AND_SEQ_STORE = exports.ADAPTER_VERSION = void 0;
function quote(str) {
  return "'" + str + "'";
}
const ADAPTER_VERSION = exports.ADAPTER_VERSION = 7; // used to manage migrations

// The object stores created for each database
// DOC_STORE stores the document meta data, its revision history and state
const DOC_STORE = exports.DOC_STORE = quote('document-store');
// BY_SEQ_STORE stores a particular version of a document, keyed by its
// sequence id
const BY_SEQ_STORE = exports.BY_SEQ_STORE = quote('by-sequence');
// Where we store attachments
const ATTACH_STORE = exports.ATTACH_STORE = quote('attach-store');
const LOCAL_STORE = exports.LOCAL_STORE = quote('local-store');
const META_STORE = exports.META_STORE = quote('metadata-store');
// where we store many-to-many relations between attachment
// digests and seqs
const ATTACH_AND_SEQ_STORE = exports.ATTACH_AND_SEQ_STORE = quote('attach-seq-store');
//# sourceMappingURL=constants.js.map